StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

List Environments - V2

GET /api/v2/org/{orgId}/envs

List Environments V2

Lists environments that belong to this organization.

Returns a new style paginated list of Environments.

Parameter Default Description
orgId "" The org id that these environments belong to.
environments [] List of environment views.
totalCount 0 Total number of environments in the results.
currentPage {} The current page.
hasNext false Whether or not there is a next page.
nextPage {}
nextPageToken ""
hasPrev false Whether or not there is a previous page.
prevPage {}
prevPageToken ""
findingsHealth {}
scanFrequencyHealth {}

Environment

Parameter Default Description
environmentId "" The UUID identifier of this environment.
environmentName "" The name of this environment.
applicationId "" The UUID identifier of this application.
applicationName "" The name of this application.
lastScanId "" The UUID identifier of the last scan id
lastScanTotalUntriaged 0 The total number of untriaged alerts in the last scan.
lastScanHighUntriaged 0 The total number of high untriaged alerts in the last scan.
lastScanMediumUntriaged 0 The total number of medium untriaged alerts in the last scan.
lastScanLowUntriaged 0 The total number of low untriaged alerts in the last scan.
lastScanTimestamp 0 The timestamp of when the last scan started.
lastScanDuration 0 The duration of the last scan.
lastScanStatus "UNKNOWN" the status of the last scan.
applicationStatus "UNKNOWN" the status of the application.
repositoriesCount 0 the number of repositories mapped to an application
attackSurface {} the attack surface details for the application.
latestScanConfigHash "" the config hash of the latest scan config
lastScanCompletedTimestamp 0 the timestamp of when the last scan completed.
lastScanHawkscanVersion "" the version of HawkScan used for the last scan.
thirtyDayCommitActivity 0 the number of commits made in all connected repositories in the past 30 days for this application.
lastScanExternalAlertStats [] Stats about any linked external SAST integrations used to look for related findings.
cloudScanTarget {} Cloud Scan Target configuration.
applicationType "UNKNOWN" The type of this environment's associated application.
screenrMetadata [] Screenr (flightpath) session metadata. Null/absent if no session.
lastScanHawkScanType "UNKNOWN" The type of HawkScan execution for the last scan (traditional, hosted, etc.)

The returned list of environments is filtered by the organization id and User's API Token Team membership.

Filter Query Params

  • query: A string to filter by application and environment name (both are matched on for now).
  • appIds: A comma-separated list of application uuids to filter by.
  • envIds: A comma-separated list of environment uuids to filter by.
  • teamIds: A comma-separated list of team uuids to filter by.
  • envs: A comma-separated list of environment names to filter by.
  • lastScanDate: A last scan date qualifier to filter by. Possible values are LAST_24_HOURS, LAST_7_DAYS, LAST_14_DAYS, LAST_30_DAYS, OVER_30_DAYS.
  • lastScanDateStatus: A comma-separated list of last scan date statuses to filter by. Possible values are LAST_SCAN_STATUS_SUCCESS, LAST_SCAN_STATUS_ERRORED, LAST_SCAN_STATUS_IN_PROGRESS, and LAST_SCAN_STATUS_PENDING.

Last Scan Fields

All fields relating to the last scan for a given environment are just that - the last scan recorded for that given environment. If there are no scans, these fields will be empty. If you need more than the most recent scan, use the scan list API instead.

Requires read:application permission.

Path parameters

orgIdstring · uuidrequired

UUID identifier for this StackHawk Organization.

Query parameters

querystring

A term used to filter results based on matching content in one or more fields.

sortFieldstring

Resource field to sort paginated response by.

9 available options
environmentIdenvironmentNameapplicationNamescanDatescanDurationmappedRepositoryCountscanFindingsCountsthirtyDayCommitActivityflightpathLastUpdated
sortDirstring

Paginated results are sorted 'asc' or 'desc'.

3 available options
ASCDESCUNSORTED
includeAppHealthStatsboolean

Specifies whether to include application health statistics.

default: false
pagestring

Pagination page key.

pageSizeinteger · int32

Pagination response size limit.

default: 10
pageTokeninteger · int32

Pagination request page increment.

default: 0
appIdsstring[]

A comma-delimited list of UUID identifiers of StackHawk Applications.

envIdsstring[]

A comma-delimited list of UUID identifiers of StackHawk Environments.

teamIdsstring[]

A comma-delimited list of UUID identifiers of StackHawk Teams to filter by.

envsstring[]

A comma-delimited list of environment names of StackHawk Applications to filter by.

lastScanDatestring

The enum value for the last scan date filter.

6 available options
LAST_SCAN_DATE_UNSPECIFIEDLAST_24_HOURSLAST_7_DAYSLAST_14_DAYSLAST_30_DAYSOVER_30_DAYS
applicationTypesstring[]

A comma-separated list of ApplicationType names.

default: ["STANDARD"]
lastScanStatusstring[]

A comma-separated list of last scan status filters.

hasFlightpathSessionboolean

Filter by whether the environment's application has a flightpath session.

Response

Paginated response of application environments.

currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

environments
application_view.EnvironmentView[]

List of environment views.

Hide child attributesShow child attributes
environments.applicationId
string

The UUID identifier of this application.

environments.applicationName
string

The name of this application.

environments.applicationStatus
enum<string>

the status of the application.

2 available options
ACTIVEENV_INCOMPLETE
environments.applicationType
enum<string>

The type of this environment's associated application.

2 available options
STANDARDCLOUD
environments.attackSurface
attack_surface.ApplicationAttackSurface
Hide child attributesShow child attributes
environments.attackSurface.applicationId
string

the application id for the slick of attack surface details.

environments.attackSurface.repositories
repository.Repository[]

the total view of repositories mapped to an application.

Hide child attributesShow child attributes
environments.attackSurface.repositories.appInfos
repository.AppInfo[]

The mapped applications to this repository

Hide child attributesShow child attributes
environments.attackSurface.repositories.appInfos.appStatus
enum<string>

Read-only field for the application status.

2 available options
ACTIVEENV_INCOMPLETE
environments.attackSurface.repositories.appInfos.id
string

The application id.

environments.attackSurface.repositories.appInfos.lastScanHost
string

Read-only field for the last scan host.

environments.attackSurface.repositories.appInfos.lastScanId
string

Read-only field for the last scan id.

environments.attackSurface.repositories.appInfos.lastScanTimestamp
integer<int64>

Read-only field for the last scan timestamp.

environments.attackSurface.repositories.appInfos.name
string

The application name.

environments.attackSurface.repositories.archived
boolean

Whether or not this repository is archived.

environments.attackSurface.repositories.cloneTimestamp
integer<int64>

clone timestamp.

environments.attackSurface.repositories.commitCount
integer<int32>

The number of commits in the past 30 days.

environments.attackSurface.repositories.commitSha
string

last recorded commitSha of the default branch.

environments.attackSurface.repositories.fork
boolean

Whether or not this repository is a fork.

environments.attackSurface.repositories.frameworkNames
string[]

the frameworks discovered for the repository

environments.attackSurface.repositories.hasGeneratedOpenApiSpec
boolean

Whether or not the repository has a generated open api spec

environments.attackSurface.repositories.hidden
boolean

Whether or not this repository is hidden.

environments.attackSurface.repositories.insights
repository.Insight[]

The StackHawk API Discovery results of this repository.

Hide child attributesShow child attributes
environments.attackSurface.repositories.insights.name
string

The name of the StackHawk API Discover insight.

environments.attackSurface.repositories.insights.value
string

The processed response of the StackHawk API Discovery insight.

environments.attackSurface.repositories.isInAttackSurface
boolean

Whether or not this repository is in the StackHawk API Discovery Attack Surface.

environments.attackSurface.repositories.isNewRepository
boolean

Whether or not this repository is new.

environments.attackSurface.repositories.isNewToAttackSurface
boolean

Whether or not this repository is new to the attack surface.

environments.attackSurface.repositories.languages
repository.Language[]

The languages used in this repository.

Hide child attributesShow child attributes
environments.attackSurface.repositories.languages.name
string

The name of the language.

environments.attackSurface.repositories.languages.percent
number<double>

The percentage that this language comprises in a repository.

environments.attackSurface.repositories.languages.size
integer<int64>

The number of bytes of this language in a repository.

environments.attackSurface.repositories.languages.stackHawkId
string

The StackHawk language id.

environments.attackSurface.repositories.lastCommitBranch
string

The last branch committed to for this repository.

environments.attackSurface.repositories.lastCommitTimestamp
integer<int64>

The last commit timestamp of the repository.

environments.attackSurface.repositories.lastContributor
repository.Contributor
Hide child attributesShow child attributes
environments.attackSurface.repositories.lastContributor.avatarUrl
string

The avatar url of the contributor.

environments.attackSurface.repositories.lastContributor.contributions
integer<int64>

The number recent of contributions.

environments.attackSurface.repositories.lastContributor.email
string

The email of the contributor - frequently blank.

environments.attackSurface.repositories.lastContributor.lastContributionTimestamp
integer<int64>

The last time this user contributed.

environments.attackSurface.repositories.lastContributor.name
string

The username of the contributor.

environments.attackSurface.repositories.lastContributor.remoteId
string

The remote contributor id.

environments.attackSurface.repositories.lastContributor.source
enum<string>

The source of the contributor.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
environments.attackSurface.repositories.lastContributor.stackhawkId
string

The StackHawk contributor id.

environments.attackSurface.repositories.lastScanHost
string

Deprecated - the last scan host of the associated application. Use appInfos instead.

environments.attackSurface.repositories.lastScanId
string

Deprecated - the last scan id of the associated application. Use appInfos instead.

environments.attackSurface.repositories.lastScanTimestamp
integer<int64>

Deprecated - the last scan timestamp of the associated application. Use appInfos instead.

environments.attackSurface.repositories.name
string

The name of the repository

environments.attackSurface.repositories.namespace
string

Provider dependent, optional namespace/group/subgroup/folder the repository belongs to.

environments.attackSurface.repositories.namespaceId
string

If applicable, the unique identifier of the repository's namespace.

environments.attackSurface.repositories.notes
repository.RepositoryNote[]

Notes/comments added to this repository by users.

Hide child attributesShow child attributes
environments.attackSurface.repositories.notes.note
string

The text content of the note.

environments.attackSurface.repositories.notes.stackhawkId
string

The unique StackHawk identifier for this note.

environments.attackSurface.repositories.notes.timestamp
integer<int64>

The timestamp when this note was created (Unix timestamp in milliseconds).

environments.attackSurface.repositories.notes.userEmail
string

The email of the user who created this note.

environments.attackSurface.repositories.openApiSpecInfo
open_api_spec.OpenAPISpecInfo
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.details
string
environments.attackSurface.repositories.openApiSpecInfo.generatedOasCount
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.info
string
environments.attackSurface.repositories.openApiSpecInfo.organizationId
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryId
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata
open_api_spec.RepositoryMetadata
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.languages
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords
codeWord.MatchWord[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.category
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.codeType
enum<string>
5 available options
VARIABLEFUNCTIONCLASSMODULEFILE
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.count
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchName
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchPercentage
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchScore
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchType
enum<string>
7 available options
NUCLEOSTARTS_WITHENDS_WITHCONTAINSEXACTLEVENSHTEINBREAKOUT
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.name
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.score
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots
open_api_spec.SourceRoot[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.buildFiles
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.directory
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.framework
enum<string>
5 available options
UNKNOWN_FRAMEWORKSPRINGEXPRESS_JSPLAYFLASK
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult
open_api_spec.OASGenerationResult
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.generationMessages
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch
open_api_spec.OASGenBatch[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles
open_api_spec.OASSourceMapping[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.mappingType
enum<string>
3 available options
UNKNOWNREST_CONTROLLERIMPORT
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.sourceFile
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.oasJson
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.promptText
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.tokenCount
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasJson
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.hasOasSpec
boolean
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.languages
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.oasAIPromptsDetected
boolean
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.s3Key
string
environments.attackSurface.repositories.openApiSpecInfo.startDate
integer<int64>
environments.attackSurface.repositories.openApiSpecInfo.status
enum<string>
6 available options
NONEBUILDINGDONEERRORUNABLE_TO_COMPLETENOT_APPLICABLE
environments.attackSurface.repositories.private
boolean

Whether or not this repository is private.

environments.attackSurface.repositories.providerOrgId
string

Unique identifier of the repository's organization or equivalent entity type.

environments.attackSurface.repositories.providerOrgName
string

The repository provider's top level entity this repository is associated with.

environments.attackSurface.repositories.remoteUrl
string

The remote url of the repository.

environments.attackSurface.repositories.repoSize
integer<int64>

last recorded size of repository in bytes.

environments.attackSurface.repositories.repoSource
enum<string>

The source of the repository.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
environments.attackSurface.repositories.score
integer<int32>

The StackHawk API Discovery Score.

environments.attackSurface.repositories.sensitiveDataTags
repository.Tag[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.sensitiveDataTags.name
string

The name of the tag.

environments.attackSurface.repositories.sensitiveDataTags.stackHawkId
string

The StackHawk tag id.

environments.attackSurface.repositories.stackHawkApplicationId
string

Deprecated - the application id associated with this repository. Use appInfos instead.

environments.attackSurface.repositories.stackHawkApplicationName
string

Deprecated - the application name associated with this repository. Use appInfos instead.

environments.attackSurface.repositories.stackHawkApplicationStatus
enum<string>

Deprecated - the application status of the associated application. Use appInfos instead.

2 available options
ACTIVEENV_INCOMPLETE
environments.attackSurface.repositories.stackHawkIntegrationId
string

The Integration Id this repository is associated to.

environments.attackSurface.repositories.stackHawkRepoId
string

The StackHawk repository id.

environments.attackSurface.repositories.status
enum<string>

The StackHawk API Discovery Status.

3 available options
NOT_APPLICABLENOT_COVEREDCOVERED
environments.attackSurface.repositories.topics
repository.Topic[]

The topics of this repository.

Hide child attributesShow child attributes
environments.attackSurface.repositories.topics.name
string

The name of the topic.

environments.attackSurface.repositories.topics.stackHawkId
string

The StackHawk topic id.

environments.cloudScanTarget
application.CloudScanTarget
Hide child attributesShow child attributes
environments.cloudScanTarget.isDomainVerified
boolean

Indicates if the domain is verified or not.

environments.cloudScanTarget.targetURL
string

The target URL.

environments.environmentId
string

The UUID identifier of this environment.

environments.environmentName
string

The name of this environment.

environments.lastScanCompletedTimestamp
integer<int64>

the timestamp of when the last scan completed.

environments.lastScanDuration
integer<int64>

The duration of the last scan.

environments.lastScanExternalAlertStats
sast.ExternalAlertStats[]

Stats about any linked external SAST integrations used to look for related findings.

Hide child attributesShow child attributes
environments.lastScanExternalAlertStats.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
environments.lastScanExternalAlertStats.projectUrl
string
environments.lastScanHawkScanType
enum<string>

The type of HawkScan execution for the last scan (traditional, hosted, etc.)

4 available options
HAWKSCAN_TYPE_SCANHAWKSCAN_TYPE_FLIGHTPATHHAWKSCAN_TYPE_HOSTEDHAWKSCAN_TYPE_CONFIGURATION
environments.lastScanHawkscanVersion
string

the version of HawkScan used for the last scan.

environments.lastScanHighUntriaged
integer<int32>

The total number of high untriaged alerts in the last scan.

environments.lastScanId
string

The UUID identifier of the last scan id

environments.lastScanLowUntriaged
integer<int32>

The total number of low untriaged alerts in the last scan.

environments.lastScanMediumUntriaged
integer<int32>

The total number of medium untriaged alerts in the last scan.

environments.lastScanStatus
enum<string>

the status of the last scan.

4 available options
UNKNOWNCOMPLETEDERRORSTARTED
environments.lastScanTimestamp
integer<int64>

The timestamp of when the last scan started.

environments.lastScanTotalUntriaged
integer<int32>

The total number of untriaged alerts in the last scan.

environments.latestScanConfigHash
string

the config hash of the latest scan config

environments.repositoriesCount
integer<int32>

the number of repositories mapped to an application

environments.screenrMetadata
object

Screenr (flightpath) session metadata. Null/absent if no session.

environments.thirtyDayCommitActivity
integer<int32>

the number of commits made in all connected repositories in the past 30 days for this application.

findingsHealth
application_view.ApplicationFindingsHealthStats
Hide child attributesShow child attributes
findingsHealth.high
integer<int32>
findingsHealth.low
integer<int32>
findingsHealth.medium
integer<int32>
findingsHealth.total
integer<int32>
hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean

Whether or not there is a previous page.

nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageToken
string
orgId
string

The org id that these environments belong to.

prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageToken
string
scanFrequencyHealth
application_view.ApplicationScanFrequencyHealthStats
Hide child attributesShow child attributes
scanFrequencyHealth.appsNeverScanned
integer<int32>
scanFrequencyHealth.appsScannedBeyondThirtyDays
integer<int32>
scanFrequencyHealth.appsScannedWithinSevenDays
integer<int32>
scanFrequencyHealth.appsScannedWithinThirtyDays
integer<int32>
scanFrequencyHealth.failedScansCount
integer<int32>
scanFrequencyHealth.totalApps
integer<int32>
totalCount
integer<int64>

Total number of environments in the results.

currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

environments
application_view.EnvironmentView[]

List of environment views.

Hide child attributesShow child attributes
environments.applicationId
string

The UUID identifier of this application.

environments.applicationName
string

The name of this application.

environments.applicationStatus
enum<string>

the status of the application.

2 available options
ACTIVEENV_INCOMPLETE
environments.applicationType
enum<string>

The type of this environment's associated application.

2 available options
STANDARDCLOUD
environments.attackSurface
attack_surface.ApplicationAttackSurface
Hide child attributesShow child attributes
environments.attackSurface.applicationId
string

the application id for the slick of attack surface details.

environments.attackSurface.repositories
repository.Repository[]

the total view of repositories mapped to an application.

Hide child attributesShow child attributes
environments.attackSurface.repositories.appInfos
repository.AppInfo[]

The mapped applications to this repository

Hide child attributesShow child attributes
environments.attackSurface.repositories.appInfos.appStatus
enum<string>

Read-only field for the application status.

2 available options
ACTIVEENV_INCOMPLETE
environments.attackSurface.repositories.appInfos.id
string

The application id.

environments.attackSurface.repositories.appInfos.lastScanHost
string

Read-only field for the last scan host.

environments.attackSurface.repositories.appInfos.lastScanId
string

Read-only field for the last scan id.

environments.attackSurface.repositories.appInfos.lastScanTimestamp
integer<int64>

Read-only field for the last scan timestamp.

environments.attackSurface.repositories.appInfos.name
string

The application name.

environments.attackSurface.repositories.archived
boolean

Whether or not this repository is archived.

environments.attackSurface.repositories.cloneTimestamp
integer<int64>

clone timestamp.

environments.attackSurface.repositories.commitCount
integer<int32>

The number of commits in the past 30 days.

environments.attackSurface.repositories.commitSha
string

last recorded commitSha of the default branch.

environments.attackSurface.repositories.fork
boolean

Whether or not this repository is a fork.

environments.attackSurface.repositories.frameworkNames
string[]

the frameworks discovered for the repository

environments.attackSurface.repositories.hasGeneratedOpenApiSpec
boolean

Whether or not the repository has a generated open api spec

environments.attackSurface.repositories.hidden
boolean

Whether or not this repository is hidden.

environments.attackSurface.repositories.insights
repository.Insight[]

The StackHawk API Discovery results of this repository.

Hide child attributesShow child attributes
environments.attackSurface.repositories.insights.name
string

The name of the StackHawk API Discover insight.

environments.attackSurface.repositories.insights.value
string

The processed response of the StackHawk API Discovery insight.

environments.attackSurface.repositories.isInAttackSurface
boolean

Whether or not this repository is in the StackHawk API Discovery Attack Surface.

environments.attackSurface.repositories.isNewRepository
boolean

Whether or not this repository is new.

environments.attackSurface.repositories.isNewToAttackSurface
boolean

Whether or not this repository is new to the attack surface.

environments.attackSurface.repositories.languages
repository.Language[]

The languages used in this repository.

Hide child attributesShow child attributes
environments.attackSurface.repositories.languages.name
string

The name of the language.

environments.attackSurface.repositories.languages.percent
number<double>

The percentage that this language comprises in a repository.

environments.attackSurface.repositories.languages.size
integer<int64>

The number of bytes of this language in a repository.

environments.attackSurface.repositories.languages.stackHawkId
string

The StackHawk language id.

environments.attackSurface.repositories.lastCommitBranch
string

The last branch committed to for this repository.

environments.attackSurface.repositories.lastCommitTimestamp
integer<int64>

The last commit timestamp of the repository.

environments.attackSurface.repositories.lastContributor
repository.Contributor
Hide child attributesShow child attributes
environments.attackSurface.repositories.lastContributor.avatarUrl
string

The avatar url of the contributor.

environments.attackSurface.repositories.lastContributor.contributions
integer<int64>

The number recent of contributions.

environments.attackSurface.repositories.lastContributor.email
string

The email of the contributor - frequently blank.

environments.attackSurface.repositories.lastContributor.lastContributionTimestamp
integer<int64>

The last time this user contributed.

environments.attackSurface.repositories.lastContributor.name
string

The username of the contributor.

environments.attackSurface.repositories.lastContributor.remoteId
string

The remote contributor id.

environments.attackSurface.repositories.lastContributor.source
enum<string>

The source of the contributor.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
environments.attackSurface.repositories.lastContributor.stackhawkId
string

The StackHawk contributor id.

environments.attackSurface.repositories.lastScanHost
string

Deprecated - the last scan host of the associated application. Use appInfos instead.

environments.attackSurface.repositories.lastScanId
string

Deprecated - the last scan id of the associated application. Use appInfos instead.

environments.attackSurface.repositories.lastScanTimestamp
integer<int64>

Deprecated - the last scan timestamp of the associated application. Use appInfos instead.

environments.attackSurface.repositories.name
string

The name of the repository

environments.attackSurface.repositories.namespace
string

Provider dependent, optional namespace/group/subgroup/folder the repository belongs to.

environments.attackSurface.repositories.namespaceId
string

If applicable, the unique identifier of the repository's namespace.

environments.attackSurface.repositories.notes
repository.RepositoryNote[]

Notes/comments added to this repository by users.

Hide child attributesShow child attributes
environments.attackSurface.repositories.notes.note
string

The text content of the note.

environments.attackSurface.repositories.notes.stackhawkId
string

The unique StackHawk identifier for this note.

environments.attackSurface.repositories.notes.timestamp
integer<int64>

The timestamp when this note was created (Unix timestamp in milliseconds).

environments.attackSurface.repositories.notes.userEmail
string

The email of the user who created this note.

environments.attackSurface.repositories.openApiSpecInfo
open_api_spec.OpenAPISpecInfo
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.details
string
environments.attackSurface.repositories.openApiSpecInfo.generatedOasCount
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.info
string
environments.attackSurface.repositories.openApiSpecInfo.organizationId
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryId
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata
open_api_spec.RepositoryMetadata
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.languages
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords
codeWord.MatchWord[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.category
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.codeType
enum<string>
5 available options
VARIABLEFUNCTIONCLASSMODULEFILE
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.count
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchName
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchPercentage
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchScore
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchType
enum<string>
7 available options
NUCLEOSTARTS_WITHENDS_WITHCONTAINSEXACTLEVENSHTEINBREAKOUT
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.name
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.matchWords.score
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots
open_api_spec.SourceRoot[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.buildFiles
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.directory
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.framework
enum<string>
5 available options
UNKNOWN_FRAMEWORKSPRINGEXPRESS_JSPLAYFLASK
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult
open_api_spec.OASGenerationResult
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.generationMessages
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch
open_api_spec.OASGenBatch[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles
open_api_spec.OASSourceMapping[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.mappingType
enum<string>
3 available options
UNKNOWNREST_CONTROLLERIMPORT
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.sourceFile
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.oasJson
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.promptText
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.tokenCount
integer<int32>
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasJson
string
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.hasOasSpec
boolean
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.languages
string[]
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.oasAIPromptsDetected
boolean
environments.attackSurface.repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.s3Key
string
environments.attackSurface.repositories.openApiSpecInfo.startDate
integer<int64>
environments.attackSurface.repositories.openApiSpecInfo.status
enum<string>
6 available options
NONEBUILDINGDONEERRORUNABLE_TO_COMPLETENOT_APPLICABLE
environments.attackSurface.repositories.private
boolean

Whether or not this repository is private.

environments.attackSurface.repositories.providerOrgId
string

Unique identifier of the repository's organization or equivalent entity type.

environments.attackSurface.repositories.providerOrgName
string

The repository provider's top level entity this repository is associated with.

environments.attackSurface.repositories.remoteUrl
string

The remote url of the repository.

environments.attackSurface.repositories.repoSize
integer<int64>

last recorded size of repository in bytes.

environments.attackSurface.repositories.repoSource
enum<string>

The source of the repository.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
environments.attackSurface.repositories.score
integer<int32>

The StackHawk API Discovery Score.

environments.attackSurface.repositories.sensitiveDataTags
repository.Tag[]
Hide child attributesShow child attributes
environments.attackSurface.repositories.sensitiveDataTags.name
string

The name of the tag.

environments.attackSurface.repositories.sensitiveDataTags.stackHawkId
string

The StackHawk tag id.

environments.attackSurface.repositories.stackHawkApplicationId
string

Deprecated - the application id associated with this repository. Use appInfos instead.

environments.attackSurface.repositories.stackHawkApplicationName
string

Deprecated - the application name associated with this repository. Use appInfos instead.

environments.attackSurface.repositories.stackHawkApplicationStatus
enum<string>

Deprecated - the application status of the associated application. Use appInfos instead.

2 available options
ACTIVEENV_INCOMPLETE
environments.attackSurface.repositories.stackHawkIntegrationId
string

The Integration Id this repository is associated to.

environments.attackSurface.repositories.stackHawkRepoId
string

The StackHawk repository id.

environments.attackSurface.repositories.status
enum<string>

The StackHawk API Discovery Status.

3 available options
NOT_APPLICABLENOT_COVEREDCOVERED
environments.attackSurface.repositories.topics
repository.Topic[]

The topics of this repository.

Hide child attributesShow child attributes
environments.attackSurface.repositories.topics.name
string

The name of the topic.

environments.attackSurface.repositories.topics.stackHawkId
string

The StackHawk topic id.

environments.cloudScanTarget
application.CloudScanTarget
Hide child attributesShow child attributes
environments.cloudScanTarget.isDomainVerified
boolean

Indicates if the domain is verified or not.

environments.cloudScanTarget.targetURL
string

The target URL.

environments.environmentId
string

The UUID identifier of this environment.

environments.environmentName
string

The name of this environment.

environments.lastScanCompletedTimestamp
integer<int64>

the timestamp of when the last scan completed.

environments.lastScanDuration
integer<int64>

The duration of the last scan.

environments.lastScanExternalAlertStats
sast.ExternalAlertStats[]

Stats about any linked external SAST integrations used to look for related findings.

Hide child attributesShow child attributes
environments.lastScanExternalAlertStats.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
environments.lastScanExternalAlertStats.projectUrl
string
environments.lastScanHawkScanType
enum<string>

The type of HawkScan execution for the last scan (traditional, hosted, etc.)

4 available options
HAWKSCAN_TYPE_SCANHAWKSCAN_TYPE_FLIGHTPATHHAWKSCAN_TYPE_HOSTEDHAWKSCAN_TYPE_CONFIGURATION
environments.lastScanHawkscanVersion
string

the version of HawkScan used for the last scan.

environments.lastScanHighUntriaged
integer<int32>

The total number of high untriaged alerts in the last scan.

environments.lastScanId
string

The UUID identifier of the last scan id

environments.lastScanLowUntriaged
integer<int32>

The total number of low untriaged alerts in the last scan.

environments.lastScanMediumUntriaged
integer<int32>

The total number of medium untriaged alerts in the last scan.

environments.lastScanStatus
enum<string>

the status of the last scan.

4 available options
UNKNOWNCOMPLETEDERRORSTARTED
environments.lastScanTimestamp
integer<int64>

The timestamp of when the last scan started.

environments.lastScanTotalUntriaged
integer<int32>

The total number of untriaged alerts in the last scan.

environments.latestScanConfigHash
string

the config hash of the latest scan config

environments.repositoriesCount
integer<int32>

the number of repositories mapped to an application

environments.screenrMetadata
object

Screenr (flightpath) session metadata. Null/absent if no session.

environments.thirtyDayCommitActivity
integer<int32>

the number of commits made in all connected repositories in the past 30 days for this application.

findingsHealth
application_view.ApplicationFindingsHealthStats
Hide child attributesShow child attributes
findingsHealth.high
integer<int32>
findingsHealth.low
integer<int32>
findingsHealth.medium
integer<int32>
findingsHealth.total
integer<int32>
hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean

Whether or not there is a previous page.

nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageToken
string
orgId
string

The org id that these environments belong to.

prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageToken
string
scanFrequencyHealth
application_view.ApplicationScanFrequencyHealthStats
Hide child attributesShow child attributes
scanFrequencyHealth.appsNeverScanned
integer<int32>
scanFrequencyHealth.appsScannedBeyondThirtyDays
integer<int32>
scanFrequencyHealth.appsScannedWithinSevenDays
integer<int32>
scanFrequencyHealth.appsScannedWithinThirtyDays
integer<int32>
scanFrequencyHealth.failedScansCount
integer<int32>
scanFrequencyHealth.totalApps
integer<int32>
totalCount
integer<int64>

Total number of environments in the results.

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.